> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get events by external ID

> This endpoint searches the portal for all Marketing Events whose externalEventId matches the value provided in the request.

It retrieves the objectId and additional event details for each matching Marketing Event.

Since multiple Marketing Events can have the same externalEventId, the endpoint returns all matching results.

Note: Marketing Events become searchable by externalEventId a few minutes after creation.

> [accordion] Supported products

> [accordion] Required Scopes


## OpenAPI

````yaml specs/2026-09/marketing-marketing-events-v2026-09.json GET /marketing/marketing-events/2026-09/{externalEventId}/identifiers
openapi: 3.0.1
info:
  title: Marketing Marketing Events
  description: Basepom for all HubSpot Projects
  version: 2026-09
  x-hubspot-product-tier-requirements:
    marketing: FREE
    sales: FREE
    service: FREE
    cms: FREE
    commerce: FREE
    crmHub: FREE
    dataHub: FREE
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Basic
  - name: Batch
  - name: Event Attendees
  - name: Event Status
  - name: Identifiers
  - name: List Associations
  - name: Participant State
  - name: Settings
  - name: Subscriber State Changes
paths:
  /marketing/marketing-events/2026-09/{externalEventId}/identifiers:
    get:
      tags:
        - Identifiers
      summary: Find Marketing Events by External Event Id
      description: >-
        This endpoint searches the portal for all Marketing Events whose
        externalEventId matches the value provided in the request.


        It retrieves the objectId and additional event details for each matching
        Marketing Event.


        Since multiple Marketing Events can have the same externalEventId, the
        endpoint returns all matching results.


        Note: Marketing Events become searchable by externalEventId a few
        minutes after creation.
      operationId: >-
        get-/marketing/marketing-events/2026-09/{externalEventId}/identifiers_searchPortalEvents
      parameters:
        - name: externalEventId
          in: path
          description: The id of the marketing event in the external event application.
          required: true
          style: simple
          explode: false
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CollectionResponseWithTotalMarketingEventIdentifiersResponse
        default:
          $ref: '#/components/responses/Error'
          description: ''
      security:
        - oauth2:
            - crm.objects.marketing_events.read
components:
  schemas:
    CollectionResponseWithTotalMarketingEventIdentifiersResponse:
      required:
        - results
        - total
      type: object
      properties:
        paging:
          $ref: '#/components/schemas/Paging'
        results:
          type: array
          description: >-
            An array containing the marketing event identifiers. Each item in
            the array is a MarketingEventIdentifiersResponse object.
          items:
            $ref: '#/components/schemas/MarketingEventIdentifiersResponse'
        total:
          type: integer
          description: >-
            An integer representing the total number of marketing event
            identifiers.
          format: int32
    Paging:
      type: object
      properties:
        next:
          $ref: '#/components/schemas/NextPage'
        prev:
          $ref: '#/components/schemas/PreviousPage'
      description: >-
        Represents the pagination information for navigating through a list of
        results in the API. It provides details on how to access the previous or
        next set of results.
    MarketingEventIdentifiersResponse:
      required:
        - externalEventId
        - marketingEventName
        - objectId
      type: object
      properties:
        appInfo:
          $ref: '#/components/schemas/AppInfo'
        externalAccountId:
          type: string
          description: >-
            The accountId that is associated with this marketing event in the
            external event application
        externalEventId:
          type: string
          description: >-
            The ID that is associated with this marketing event in the external
            event application
        marketingEventName:
          type: string
          description: The name of the marketing event
        objectId:
          type: string
          description: The internal ID of the marketing event in HubSpot CRM
    Error:
      required:
        - category
        - correlationId
        - message
      type: object
      properties:
        category:
          type: string
          description: The error category
        context:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Context about the error condition
          example: >-
            {invalidPropertyName=[propertyValue], missingScopes=[scope1,
            scope2]}
        correlationId:
          type: string
          description: >-
            A unique identifier for the request. Include this value with any
            error reports or support tickets
          format: uuid
          example: aeb5f871-7f07-4993-9211-075dc63e7cbf
        errors:
          type: array
          description: further information about the error
          items:
            $ref: '#/components/schemas/ErrorDetail'
        links:
          type: object
          additionalProperties:
            type: string
          description: >-
            A map of link names to associated URIs containing documentation
            about the error or recommended remediation steps
        message:
          type: string
          description: >-
            A human readable message describing the error along with remediation
            steps where appropriate
          example: An error occurred
        subCategory:
          type: string
          description: >-
            A specific category that contains more specific detail about the
            error
      description: >-
        Represents an error response returned by the API when an operation
        fails. This component is used in various endpoints to provide detailed
        information about the error encountered.
      example:
        message: Invalid input (details will vary based on the error)
        correlationId: aeb5f871-7f07-4993-9211-075dc63e7cbf
        category: VALIDATION_ERROR
        links:
          knowledge-base: https://www.hubspot.com/products/service/knowledge-base
    NextPage:
      required:
        - after
      type: object
      properties:
        after:
          type: string
          description: The ID element at the start of the page
        link:
          type: string
          description: Link to the next page
      description: >-
        Specifies the paging information needed to retrieve the next set of
        results in a paginated API response
    PreviousPage:
      required:
        - before
      type: object
      properties:
        before:
          type: string
          description: >-
            A string that serves as a cursor indicating the position before the
            first item in the current set of results, used to fetch the previous
            set of results.
        link:
          type: string
          description: A string containing the URL link to the previous page of results.
      description: >-
        specifies the paging information needed to retrieve the previous set of
        results in a paginated API response
    AppInfo:
      required:
        - id
        - name
      type: object
      properties:
        id:
          type: string
          description: The ID of the application
        name:
          type: string
          description: The name of the application
    ErrorDetail:
      required:
        - message
      type: object
      properties:
        code:
          type: string
          description: The status code associated with the error detail
        context:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Context about the error condition
          example: '{missingScopes=[scope1, scope2]}'
        in:
          type: string
          description: The name of the field or parameter in which the error was found.
        message:
          type: string
          description: >-
            A human readable message describing the error along with remediation
            steps where appropriate
        subCategory:
          type: string
          description: >-
            A specific category that contains more specific detail about the
            error
      description: >-
        Represents detailed information about an error that occurred in the API.
        This component is used to provide additional context and specifics about
        errors, typically as part of an error response.
  responses:
    Error:
      description: An error occurred.
      content:
        '*/*':
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://app.hubspot.com/oauth/authorize
          tokenUrl: https://api.hubapi.com/oauth/v1/token
          scopes:
            crm.objects.marketing_events.read: ''
            crm.objects.marketing_events.write: ''

````